function savefig(filename,imagetype)
%SAVEFIG saves the current figure as a TIF image
% savefig(filename)
% The TIF is saved to the file named by filename
% This image is captured off the plot on the screen, so to get
% highest resolution, set the screen resolution high and maximise
% the figure size.

%Copyright Eric Lawrey July 2000
%version 1.1
%Modifications
%27/7/2000
%Added imagetype as an option, allowing the imahe to be saved as a jpg
%7/8/00
%Removed the automatic removal of text after any periods '.' in the file
%name, as it was causing problems.

if nargin<2
   imagetype = 'default';
end

f = getframe(gcf);
%[T,R] = strtok(filename,'.');
%[tt,rr] = strtok(R,'.');
%if ~isempty(rr)
%  	error('invalid extension, can not have two ''.'' in the filename');
%end
T = filename;
switch lower(imagetype)
   case 'default'
		imwrite(f.cdata,[T '.tif'],'tif','compression','packbits');
      saveas(gcf,T,'emf')
   case 'tif'
      imwrite(f.cdata,[T '.tif'],'tif','cmpression','packbits');
   case 'jpg'
      imwrite(f.cdata,[T '.jpg'],'jpg','quality',100);
   case 'emf'
      saveas(gcf,T,'emf')
   end
   

      

      